# Copyright 2023 Akretion - Raphaël Valyi <raphael.valyi@akretion.com>
# License LGPL-3.0 or later (https://www.gnu.org/licenses/lgpl-3.0.en.html).
# Generated by https://github.com/akretion/xsdata-odoo
#
import textwrap
from odoo import fields, models

__NAMESPACE__ = "http://www.portalfiscal.inf.br/cte"


class Duto(models.AbstractModel):
    "Informações do modal Dutoviário"
    _description = textwrap.dedent("    %s" % (__doc__,))
    _name = "cte.40.duto"
    _inherit = "spec.mixin.cte"
    _binding_type = "Duto"

    cte40_vTar = fields.Float(
        string="Valor da tarifa",
        xsd_type="TDec_0906Opc",
        digits=(
            9,
            6,
        ),
    )

    cte40_dIni = fields.Date(
        string="Data de Início da prestação do serviço",
        xsd_required=True,
        xsd_type="TData",
    )

    cte40_dFim = fields.Date(
        string="Data de Fim da prestação do serviço",
        xsd_required=True,
        xsd_type="TData",
    )
